List node pools
curl --request GET \
--url https://nks.nks.europe-west4.nscale.com/api/v1/nodepools \
--header 'Authorization: Bearer <token>'import requests
url = "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nks.nks.europe-west4.nscale.com/api/v1/nodepools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nks.nks.europe-west4.nscale.com/api/v1/nodepools")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nks.nks.europe-west4.nscale.com/api/v1/nodepools")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"metadata": {
"id": "600f9b41-1a97-4b85-b69f-901839678772",
"generation": 5,
"name": "workers-a",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-05-14T10:15:00.000Z",
"provisioningStatus": "provisioned",
"provisioningStatusDetail": {
"reason": "Provisioned",
"message": "node pool is available"
},
"healthStatus": "healthy",
"healthStatusDetail": {
"reason": "Healthy",
"message": "node pool workers are ready"
},
"tags": [
{
"name": "role",
"value": "worker"
}
]
},
"spec": {
"clusterId": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"provisioningMode": "compute",
"replicas": 3,
"compute": {
"flavorId": "g.8.standard"
},
"taints": [
{
"key": "nvidia.com/gpu",
"effect": "NoSchedule"
}
],
"labels": {
"accelerator": "nvidia-h100"
}
},
"status": {
"regionId": "uk-lon-1",
"observedGeneration": 5,
"kubernetesVersion": "v1.32.3",
"desiredReplicas": 3,
"currentReplicas": 3,
"readyReplicas": 3
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Node Pools
List node pools
List node pools. Results are ordered by exact display name and then by public resource ID. Repeated values within one status filter are combined with OR; different filter classes are combined with AND.
GET
/
api
/
v1
/
nodepools
List node pools
curl --request GET \
--url https://nks.nks.europe-west4.nscale.com/api/v1/nodepools \
--header 'Authorization: Bearer <token>'import requests
url = "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nks.nks.europe-west4.nscale.com/api/v1/nodepools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nks.nks.europe-west4.nscale.com/api/v1/nodepools")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nks.nks.europe-west4.nscale.com/api/v1/nodepools")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"metadata": {
"id": "600f9b41-1a97-4b85-b69f-901839678772",
"generation": 5,
"name": "workers-a",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-05-14T10:15:00.000Z",
"provisioningStatus": "provisioned",
"provisioningStatusDetail": {
"reason": "Provisioned",
"message": "node pool is available"
},
"healthStatus": "healthy",
"healthStatusDetail": {
"reason": "Healthy",
"message": "node pool workers are ready"
},
"tags": [
{
"name": "role",
"value": "worker"
}
]
},
"spec": {
"clusterId": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"provisioningMode": "compute",
"replicas": 3,
"compute": {
"flavorId": "g.8.standard"
},
"taints": [
{
"key": "nvidia.com/gpu",
"effect": "NoSchedule"
}
],
"labels": {
"accelerator": "nvidia-h100"
}
},
"status": {
"regionId": "uk-lon-1",
"observedGeneration": 5,
"kubernetesVersion": "v1.32.3",
"desiredReplicas": 3,
"currentReplicas": 3,
"readyReplicas": 3
}
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Authorizations
Query Parameters
Filters resources by exact, case-sensitive display name. Every matching resource is returned because display names are not unique. A valid Kubernetes label value, typically used for resource names that can be indexed in the database.
Pattern:
^[0-9A-Za-z](?:[0-9A-Za-z-_.]{0,61}[0-9A-Za-z])?$Response
A list of node pools.
Was this page helpful?